org.springframework.orm.hibernate3

## Class LocalRegionFactoryProxy

- java.lang.Object
- - org.springframework.orm.hibernate3.LocalRegionFactoryProxy

All Implemented Interfaces:
  Serializable, RegionFactory, Service

    public class LocalRegionFactoryProxy
    extends Object
    implements RegionFactory

Proxy for a Hibernate RegionFactory, delegating to a Spring-managed RegionFactory instance, determined by LocalSessionFactoryBean's "cacheRegionFactory" property.

Compatible with Hibernate 3.3 as well as Hibernate 3.5's version of the RegionFactory SPI.

Since:
  3.0
Author:
  Juergen Hoeller
See Also:
  `LocalSessionFactoryBean.setCacheRegionFactory(java.lang.Object)`, Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`LocalRegionFactoryProxy()` Standard constructor.
`LocalRegionFactoryProxy(Properties properties)` Properties constructor: not used by this class or formally required, but enforced by Hibernate when reflectively instantiating a RegionFactory.

### Method Summary

Methods
`CollectionRegion` `buildCollectionRegion(String regionName, Properties properties, CacheDataDescription metadata)`
`EntityRegion` `buildEntityRegion(String regionName, Properties properties, CacheDataDescription metadata)`
`QueryResultsRegion` `buildQueryResultsRegion(String regionName, Properties properties)`
`TimestampsRegion` `buildTimestampsRegion(String regionName, Properties properties)`
`org.hibernate.cache.access.AccessType` `getDefaultAccessType()`
`boolean` `isMinimalPutsEnabledByDefault()`
`long` `nextTimestamp()`
`void` `start(Settings settings, Properties properties)`
`void` `stop()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.hibernate.cache.spi.RegionFactory

`buildCollectionRegion, buildEntityRegion, buildNaturalIdRegion`

### Constructor Detail

#### LocalRegionFactoryProxy

    public LocalRegionFactoryProxy()

Standard constructor.

#### LocalRegionFactoryProxy

    public LocalRegionFactoryProxy(Properties properties)

Properties constructor: not used by this class or formally required, but enforced by Hibernate when reflectively instantiating a RegionFactory.

### Method Detail

#### start

    public void start(Settings settings,
             Properties properties)
               throws CacheException

Specified by:
  `start` in interface `RegionFactory`
Throws:
  `CacheException`

#### stop

    public void stop()

Specified by:
  `stop` in interface `RegionFactory`

#### isMinimalPutsEnabledByDefault

    public boolean isMinimalPutsEnabledByDefault()

Specified by:
  `isMinimalPutsEnabledByDefault` in interface `RegionFactory`

#### getDefaultAccessType

    public org.hibernate.cache.access.AccessType getDefaultAccessType()

Specified by:
  `getDefaultAccessType` in interface `RegionFactory`

#### nextTimestamp

    public long nextTimestamp()

Specified by:
  `nextTimestamp` in interface `RegionFactory`

#### buildEntityRegion

    public EntityRegion buildEntityRegion(String regionName,
                                 Properties properties,
                                 CacheDataDescription metadata)
                                   throws CacheException

Throws:
  `CacheException`

#### buildCollectionRegion

    public CollectionRegion buildCollectionRegion(String regionName,
                                         Properties properties,
                                         CacheDataDescription metadata)
                                           throws CacheException

Throws:
  `CacheException`

#### buildQueryResultsRegion

    public QueryResultsRegion buildQueryResultsRegion(String regionName,
                                             Properties properties)
                                               throws CacheException

Specified by:
  `buildQueryResultsRegion` in interface `RegionFactory`
Throws:
  `CacheException`

#### buildTimestampsRegion

    public TimestampsRegion buildTimestampsRegion(String regionName,
                                         Properties properties)
                                           throws CacheException

Specified by:
  `buildTimestampsRegion` in interface `RegionFactory`
Throws:
  `CacheException`